[API] Publish Project

Creates a new online publication.

POST projects/{project-id}?action=publish

Authentication

This request requires basic authentication.

Request Parameters

Path params
project-id
string
The ID of the project to publish.
Body params
pubId string
The ID of the publication to create.
pubName string
The name of the publication to create.
isPublishOnlyReadyTopics
bool
[optional] Whether to publish only topics in the Ready status.
outputTags
array of strings
[optional] An array of strings containing Output Tags to use.
pubVisibility
string
[optional] The target publication visibility. Specify Public, Restricted or Private
publishedTocNodeIds
array of strings
[optional] An array of strings containing IDs of the TOC nodes to publish. If not specified, the entire project is published.

Samples

Request sample
Bash (Unix Shell)
[Bash (Unix Shell)]

curl --location -g --request POST 'https://{portal-url}/api/v1/projects/project-deep-space-exploration?action=publish' ^
--data-raw '{
    "pubId": "space-program-api",
    "pubName": "Space Program API",
    "isPublishOnlyReadyTopics": true,
    "outputTags": [
        "OnlineDoc"
    ],
    "pubVisibility": "Public",
    "publishedTocNodeIds": [
        "0e7adad0-2572-4966-8f02-bc46930cf848"
    ]
}'